Index: /NEMO/trunk/doc/namelists/nambdy
===================================================================
--- /NEMO/trunk/doc/namelists/nambdy	(revision 10444)
+++ /NEMO/trunk/doc/namelists/nambdy	(revision 10445)
@@ -7,5 +7,5 @@
       cn_coords_file = 'coordinates.bdy.nc'  !  bdy coordinates files
    ln_mask_file   = .false.   !  =T : read mask from file
-      cn_mask_file= ''        !  name of mask file (if ln_mask_file=.TRUE.)
+      cn_mask_file = ''        !  name of mask file (if ln_mask_file=.TRUE.)
    cn_dyn2d    = 'none'       !
    nn_dyn2d_dta   =  0        !  = 0, bdy data are equal to the initial state
@@ -29,5 +29,5 @@
    ln_dyn3d_dmp  =.false.     !  open boundary condition for baroclinic velocities
    rn_time_dmp   =  1.        !  Damping time scale in days
-   rn_time_dmp_out= 1.        !  Outflow damping time scale
+   rn_time_dmp_out = 1.        !  Outflow damping time scale
    nn_rimwidth   = 10         !  width of the relaxation zone
    ln_vol        = .false.    !  total volume correction (see nn_volctl parameter)
Index: /NEMO/trunk/doc/namelists/namc14_fcg
===================================================================
--- /NEMO/trunk/doc/namelists/namc14_fcg	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namc14_fcg	(revision 10445)
@@ -0,0 +1,12 @@
+!-----------------------------------------------------------------------
+&namc14_fcg     !  files & dates
+!               !  For Paleo-historical: specify tyrc14_beg in yr BP
+!               !  For Bomb: tyrc14_beg=0
+!-----------------------------------------------------------------------
+   cfileco2    = 'splco2.dat'  !  atmospheric co2 - Bomb
+   cfilec14    = 'atmc14.dat'  !  atmospheric c14 - Bomb
+   tyrc14_beg  = 0.00          !  starting year of experiment - Bomb
+!   cfileco2    = 'ByrdEdcCO2.txt' !  atmospheric co2 - Paleo
+!   cfilec14    = 'intcal13.14c'   !  atmospheric c14 - Paleo
+!   tyrc14_beg  =  35000.00        !  starting year of experiment - Paleo (yr BP)
+/
Index: /NEMO/trunk/doc/namelists/namc14_sbc
===================================================================
--- /NEMO/trunk/doc/namelists/namc14_sbc	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namc14_sbc	(revision 10445)
@@ -0,0 +1,7 @@
+!-----------------------------------------------------------------------
+&namc14_sbc     !  C14 - surface BC
+!-----------------------------------------------------------------------
+   ln_chemh = .true.     ! Chemical enhancement in piston vel.: yes/no
+   xkwind   = 0.360      ! Coefficient for gas exchange velocity
+   xdicsur  = 2.0        ! Reference DIC surface concentration (mol/m3)
+/
Index: /NEMO/trunk/doc/namelists/namc14_typ
===================================================================
--- /NEMO/trunk/doc/namelists/namc14_typ	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namc14_typ	(revision 10445)
@@ -0,0 +1,8 @@
+!-----------------------------------------------------------------------
+&namc14_typ     !  C14 - type of C14 tracer, default values of C14/C and pco2
+!-----------------------------------------------------------------------
+   kc14typ  = 0          ! Type of C14 tracer (0=equilibrium; 1=bomb transient; 2=past transient)
+   rc14at   = 1.0        ! Default value for atmospheric C14/C (used for equil run)
+   pco2at   = 280.0      ! Default value for atmospheric pcO2 [atm] (used for equil run)
+   rc14init = 0.85       ! Default value for initialization of ocean C14/C (when no restart)
+/
Index: /NEMO/trunk/doc/namelists/namc1d
===================================================================
--- /NEMO/trunk/doc/namelists/namc1d	(revision 10444)
+++ /NEMO/trunk/doc/namelists/namc1d	(revision 10445)
@@ -4,4 +4,4 @@
    rn_lat1d    =      50   !  Column latitude
    rn_lon1d    =    -145   !  Column longitude
-   ln_c1d_locpt=  .true.   ! Localization of 1D config in a grid (T) or independant point (F)
+   ln_c1d_locpt =  .true.   ! Localization of 1D config in a grid (T) or independant point (F)
 /
Index: /NEMO/trunk/doc/namelists/namcfc
===================================================================
--- /NEMO/trunk/doc/namelists/namcfc	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namcfc	(revision 10445)
@@ -0,0 +1,9 @@
+!-----------------------------------------------------------------------
+&namcfc     !   CFC 
+!-----------------------------------------------------------------------
+   ndate_beg  = 300101    !  datedeb1
+   nyear_res  = 1932      !  iannee1
+   !
+   ! Formatted file of annual hemisperic CFCs concentration in the atmosphere (ppt)
+   clname     = 'CFCs_CDIAC.dat'
+/
Index: /NEMO/trunk/doc/namelists/namcfg
===================================================================
--- /NEMO/trunk/doc/namelists/namcfg	(revision 10444)
+++ /NEMO/trunk/doc/namelists/namcfg	(revision 10445)
@@ -12,5 +12,5 @@
       !                         !  If closea_mask field doesn't exist in the domain_cfg file
       !                         !       then this logical does nothing.
-   ln_write_cfg= .false.   !  (=T) create the domain configuration file
+   ln_write_cfg = .false.   !  (=T) create the domain configuration file
       cn_domcfg_out = "domain_cfg_out" ! newly created domain configuration filename
       !
Index: /NEMO/trunk/doc/namelists/namdct
===================================================================
--- /NEMO/trunk/doc/namelists/namdct	(revision 10444)
+++ /NEMO/trunk/doc/namelists/namdct	(revision 10445)
@@ -4,5 +4,5 @@
     nn_dct     = 15        !  time step frequency for transports computing
     nn_dctwri  = 15        !  time step frequency for transports writing
-    nn_secdebug= 112       !      0 : no section to debug
+    nn_secdebug = 112       !      0 : no section to debug
     !                      !     -1 : debug all section
     !                      !  0 < n : debug section number n
Index: /NEMO/trunk/doc/namelists/namdyn
===================================================================
--- /NEMO/trunk/doc/namelists/namdyn	(revision 10444)
+++ /NEMO/trunk/doc/namelists/namdyn	(revision 10445)
@@ -2,16 +2,19 @@
 &namdyn         !   Ice dynamics
 !------------------------------------------------------------------------------
-   ln_dynFULL       = .true.          !  dyn.: full ice dynamics               (rheology + advection + ridging/rafting + correction)
-   ln_dynRHGADV     = .false.         !  dyn.: no ridge/raft & no corrections  (rheology + advection)
-   ln_dynADV        = .false.         !  dyn.: only advection w prescribed vel.(rn_uvice + advection)
-      rn_uice       =   0.00001       !        prescribed ice u-velocity
-      rn_vice       =   0.            !        prescribed ice v-velocity
-   rn_ishlat        =   2.            !  free slip (0) ; partial slip (0-2) ; no slip (2) ; strong slip (>2)
-   ln_landfast      = .false.         !  landfast ice parameterization (T or F)                           
-      rn_gamma      =   0.15          !     fraction of ocean depth that ice must reach to initiate landfast
-                                      !        recommended range: [0.1 ; 0.25]
-      rn_icebfr     =  10.            !     maximum bottom stress per unit area of contact [N/m2]                 
-                                      !        a very large value ensures ice velocity=0 even with a small contact area
-                                      !        recommended range: ?? (should be greater than atm-ice stress => >0.1 N/m2)
-      rn_lfrelax    =   1.e-5         !     relaxation time scale to reach static friction [s-1]
+   ln_dynALL        = .true.          !  dyn.: full ice dynamics                  (rheology + advection + ridging/rafting + correction)
+   ln_dynRHGADV     = .false.         !  dyn.: no ridge/raft & no corrections     (rheology + advection)
+   ln_dynADV1D      = .false.         !  dyn.: only advection 1D                  (Schar & Smolarkiewicz 1996 test case)
+   ln_dynADV2D      = .false.         !  dyn.: only advection 2D w prescribed vel.(rn_uvice + advection)
+      rn_uice       =   0.5           !        prescribed ice u-velocity
+      rn_vice       =   0.5           !        prescribed ice v-velocity
+   rn_ishlat        =   2.            !  lbc : free slip (0) ; partial slip (0-2) ; no slip (2) ; strong slip (>2)
+   ln_landfast_L16  = .false.         !  landfast: parameterization from Lemieux 2016
+   ln_landfast_home = .false.         !  landfast: parameterization from "home made"
+      rn_depfra     =   0.125         !        fraction of ocean depth that ice must reach to initiate landfast
+                                      !          recommended range: [0.1 ; 0.25] - L16=0.125 - home=0.15
+      rn_icebfr     =  15.            !        ln_landfast_L16:  maximum bottom stress per unit volume [N/m3]
+                                      !        ln_landfast_home: maximum bottom stress per unit area of contact [N/m2]
+                                      !          recommended range: ?? L16=15 - home=10
+      rn_lfrelax    =   1.e-5         !        relaxation time scale to reach static friction [s-1]
+      rn_tensile    =   0.2           !        isotropic tensile strength
 /
Index: /NEMO/trunk/doc/namelists/namdyn_adv
===================================================================
--- /NEMO/trunk/doc/namelists/namdyn_adv	(revision 10444)
+++ /NEMO/trunk/doc/namelists/namdyn_adv	(revision 10445)
@@ -5,5 +5,5 @@
    ln_dynadv_vec = .false. !  vector form - 2nd centered scheme
      nn_dynkeg     = 0        ! grad(KE) scheme: =0   C2  ;  =1   Hollingsworth correction
-   ln_dynadv_cen2= .false. !  flux form - 2nd order centered scheme
+   ln_dynadv_cen2 = .false. !  flux form - 2nd order centered scheme
    ln_dynadv_ubs = .false. !  flux form - 3rd order UBS      scheme
 /
Index: /NEMO/trunk/doc/namelists/namflo
===================================================================
--- /NEMO/trunk/doc/namelists/namflo	(revision 10444)
+++ /NEMO/trunk/doc/namelists/namflo	(revision 10445)
@@ -11,4 +11,4 @@
    !                       !  or computed with Blanke' scheme (F)
    ln_ariane   = .true.    !  Input with Ariane tool convention(T)
-   ln_flo_ascii= .true.    !  Output with Ariane tool netcdf convention(F) or ascii file (T)
+   ln_flo_ascii = .true.    !  Output with Ariane tool netcdf convention(F) or ascii file (T)
 /
Index: /NEMO/trunk/doc/namelists/namini
===================================================================
--- /NEMO/trunk/doc/namelists/namini	(revision 10444)
+++ /NEMO/trunk/doc/namelists/namini	(revision 10445)
@@ -22,4 +22,4 @@
    sn_tmi = 'Ice_initialization'    , -12 ,'tmi'   ,  .false.  , .true., 'yearly'  , '' , '', ''
    sn_smi = 'Ice_initialization'    , -12 ,'smi'   ,  .false.  , .true., 'yearly'  , '' , '', ''
-   cn_dir ='./'
+   cn_dir='./'
 /
Index: /NEMO/trunk/doc/namelists/namlobdet
===================================================================
--- /NEMO/trunk/doc/namelists/namlobdet	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namlobdet	(revision 10445)
@@ -0,0 +1,6 @@
+!-----------------------------------------------------------------------
+&namlobdet     !   biological parameters for detritus
+!-----------------------------------------------------------------------
+   taudn   = 5.80e-7    ! detritus breakdown rate                        [0.1/86400 s-1=10 days]
+   fdetlab = 0.         ! NH4 fraction of detritus dissolution           
+/
Index: /NEMO/trunk/doc/namelists/namlobdom
===================================================================
--- /NEMO/trunk/doc/namelists/namlobdom	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namlobdom	(revision 10445)
@@ -0,0 +1,6 @@
+!-----------------------------------------------------------------------
+&namlobdom     !   biological parameters for DOM
+!-----------------------------------------------------------------------
+   taudomn = 6.43e-8    ! DOM breakdown rate                             [s-1] 
+!                       ! slow remineralization rate of semi-labile dom to nh4 (1 month)
+/
Index: /NEMO/trunk/doc/namelists/namlobnut
===================================================================
--- /NEMO/trunk/doc/namelists/namlobnut	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namlobnut	(revision 10445)
@@ -0,0 +1,8 @@
+!-----------------------------------------------------------------------
+&namlobnut     !   biological parameters for nutrients
+!-----------------------------------------------------------------------
+   akno3   =  0.7       ! nitrate limitation half-saturation value     [mmol/m3]
+   aknh4   =  0.001     ! ammonium limitation half-saturation value    [mmol/m3]
+   taunn   =  5.80e-7   ! nitrification rate                           [s-1]  
+   psinut  =  3.        ! inhibition of nitrate uptake by ammonium
+/
Index: /NEMO/trunk/doc/namelists/namlobopt
===================================================================
--- /NEMO/trunk/doc/namelists/namlobopt	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namlobopt	(revision 10445)
@@ -0,0 +1,11 @@
+!-----------------------------------------------------------------------
+&namlobopt     !   optical parameters
+!-----------------------------------------------------------------------
+   xkg0   = 0.0232     ! green absorption coefficient of water
+   xkr0   = 0.225      ! red absorption coefficent of water
+   xkgp   = 0.074      ! green absorption coefficient of chl
+   xkrp   = 0.037      ! red absorption coefficient of chl
+   xlg    = 0.674      ! green chl exposant for absorption
+   xlr    = 0.629      ! red chl exposant for absorption
+   rpig   = 0.7        ! chla/chla+pheo ratio
+/
Index: /NEMO/trunk/doc/namelists/namlobphy
===================================================================
--- /NEMO/trunk/doc/namelists/namlobphy	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namlobphy	(revision 10445)
@@ -0,0 +1,9 @@
+!-----------------------------------------------------------------------
+&namlobphy     !   biological parameters for phytoplankton
+!-----------------------------------------------------------------------
+   tmumax  =  1.21e-5   ! maximal phytoplankton growth rate            [s-1] 
+   rgamma  =  0.05      ! phytoplankton exudation fraction             [%]
+   fphylab =  0.75      ! NH4 fraction of phytoplankton exsudation     
+   tmminp  =  5.8e-7    ! minimal phytoplancton mortality rate         [0.05/86400 s-1=20 days] 
+   aki     =  33.       ! light photosynthesis half saturation constant[W/m2]
+/
Index: /NEMO/trunk/doc/namelists/namlobrat
===================================================================
--- /NEMO/trunk/doc/namelists/namlobrat	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namlobrat	(revision 10445)
@@ -0,0 +1,7 @@
+!-----------------------------------------------------------------------
+&namlobrat     !   general coefficients
+!-----------------------------------------------------------------------
+   rcchl   = 60.       ! Carbone/Chlorophyl ratio                     [mgC.mgChla-1]
+   redf    = 6.56       ! redfield ratio (C:N) for phyto
+   reddom  = 6.56       ! redfield ratio (C:N) for DOM
+/
Index: /NEMO/trunk/doc/namelists/namlobsed
===================================================================
--- /NEMO/trunk/doc/namelists/namlobsed	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namlobsed	(revision 10445)
@@ -0,0 +1,8 @@
+!-----------------------------------------------------------------------
+&namlobsed     !   parameters from aphotic layers to sediment
+!-----------------------------------------------------------------------
+   sedlam     = 3.86e-7    ! time coefficient of POC remineralization in sediments [s-1]
+   sedlostpoc = 0.         ! mass of POC lost in sediments
+   vsed       = 3.47e-5    ! detritus sedimentation speed                   [m/s]
+   xhr        = -0.858     ! coeff for martin''s remineralisation profile
+/
Index: /NEMO/trunk/doc/namelists/namlobzoo
===================================================================
--- /NEMO/trunk/doc/namelists/namlobzoo	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namlobzoo	(revision 10445)
@@ -0,0 +1,14 @@
+!-----------------------------------------------------------------------
+&namlobzoo     !   biological parameters for zooplankton
+!-----------------------------------------------------------------------
+   rppz    = 0.8        ! zooplankton nominal preference for phytoplancton food  [%]
+   taus    = 9.26E-6    ! specific zooplankton maximal grazing rate              [s-1] 
+!                       ! 0.75/86400 s-1=8.680555E-6    1/86400 = 1.15e-5
+   aks     = 1.         ! half-saturation constant for total zooplankton grazing [mmolN.m-3]
+   rpnaz   = 0.3        ! non-assimilated phytoplankton by zooplancton           [%]
+   rdnaz   = 0.3        ! non-assimilated detritus by zooplankton                [%] 
+   tauzn   = 8.1e-7     ! zooplancton specific excretion rate                    [0.1/86400 s-1=10 days] 
+   fzoolab = 0.5        ! NH4 fraction of zooplankton excretion
+   fdbod   = 0.5        ! zooplankton mortality fraction that goes to detritus
+   tmminz  = 2.31e-6    ! minimal zooplankton mortality rate                     [(mmolN/m3)-1 d-1]
+/
Index: /NEMO/trunk/doc/namelists/nammpp
===================================================================
--- /NEMO/trunk/doc/namelists/nammpp	(revision 10444)
+++ /NEMO/trunk/doc/namelists/nammpp	(revision 10445)
@@ -5,7 +5,6 @@
    !                       !  buffer blocking send or immediate non-blocking sends, resp.
    nn_buffer   =   0       !  size in bytes of exported buffer ('B' case), 0 no exportation
-   ln_nnogather=  .false.  !  activate code to avoid mpi_allgather use at the northfold
+   ln_nnogather =  .true.  !  activate code to avoid mpi_allgather use at the northfold
    jpni        =   0       !  jpni   number of processors following i (set automatically if < 1)
    jpnj        =   0       !  jpnj   number of processors following j (set automatically if < 1)
-   jpnij       =   0       !  jpnij  number of local domains (set automatically if < 1)
 /
Index: /NEMO/trunk/doc/namelists/namnc4
===================================================================
--- /NEMO/trunk/doc/namelists/namnc4	(revision 10444)
+++ /NEMO/trunk/doc/namelists/namnc4	(revision 10445)
@@ -2,7 +2,7 @@
 &namnc4        !   netcdf4 chunking and compression settings            ("key_netcdf4")
 !-----------------------------------------------------------------------
-   nn_nchunks_i=   4       !  number of chunks in i-dimension
-   nn_nchunks_j=   4       !  number of chunks in j-dimension
-   nn_nchunks_k=   31      !  number of chunks in k-dimension
+   nn_nchunks_i =   4       !  number of chunks in i-dimension
+   nn_nchunks_j =   4       !  number of chunks in j-dimension
+   nn_nchunks_k =   31      !  number of chunks in k-dimension
    !                       !  setting nn_nchunks_k = jpk will give a chunk size of 1 in the vertical which
    !                       !  is optimal for postprocessing which works exclusively with horizontal slabs
Index: /NEMO/trunk/doc/namelists/namobs
===================================================================
--- /NEMO/trunk/doc/namelists/namobs	(revision 10444)
+++ /NEMO/trunk/doc/namelists/namobs	(revision 10445)
@@ -32,5 +32,5 @@
    cn_altbiasfile = 'altbias.nc'     ! Altimeter bias input file name
    cn_sstbiasfiles = 'sstbias.nc'    ! SST bias input file name
-   cn_gridsearchfile='gridsearch.nc' ! Grid search file name
+   cn_gridsearchfile ='gridsearch.nc' ! Grid search file name
    rn_gridsearchres = 0.5            ! Grid search resolution
    rn_mdtcorr  = 1.61                ! MDT  correction
Index: /NEMO/trunk/doc/namelists/namp4zlim
===================================================================
--- /NEMO/trunk/doc/namelists/namp4zlim	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namp4zlim	(revision 10445)
@@ -0,0 +1,24 @@
+!-----------------------------------------------------------------------
+&namp4zlim     !   parameters for nutrient limitations for PISCES std  - ln_p4z
+!-----------------------------------------------------------------------
+   concnno3   =  1.e-6    ! Nitrate half saturation of nanophytoplankton
+   concdno3   =  3.E-6    ! Nitrate half saturation for diatoms
+   concnnh4   =  1.E-7    ! NH4 half saturation for phyto
+   concdnh4   =  3.E-7    ! NH4 half saturation for diatoms
+   concnfer   =  1.E-9    ! Iron half saturation for phyto
+   concdfer   =  3.E-9    ! Iron half saturation for diatoms
+   concbfe    =  1.E-11   ! Iron half-saturation for DOC remin.
+   concbnh4   =  2.E-8    ! NH4 half saturation for DOC remin.
+   concbno3   =  2.E-7    ! Nitrate half saturation for DOC remin.
+   xsizedia   =  1.E-6    ! Minimum size criteria for diatoms
+   xsizephy   =  1.E-6    ! Minimum size criteria for phyto
+   xsizern    =  3.0      ! Size ratio for nanophytoplankton
+   xsizerd    =  3.0      ! Size ratio for diatoms
+   xksi1      =  2.E-6    ! half saturation constant for Si uptake
+   xksi2      =  20E-6    ! half saturation constant for Si/C
+   xkdoc      =  417.E-6  ! half-saturation constant of DOC remineralization
+   qnfelim    =  7.E-6    ! Optimal quota of phyto
+   qdfelim    =  7.E-6    ! Optimal quota of diatoms
+   caco3r     =  0.3      ! mean rain ratio
+   oxymin     =  1.E-6    ! Half-saturation constant for anoxia
+/
Index: /NEMO/trunk/doc/namelists/namp4zmes
===================================================================
--- /NEMO/trunk/doc/namelists/namp4zmes	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namp4zmes	(revision 10445)
@@ -0,0 +1,23 @@
+!-----------------------------------------------------------------------
+&namp4zmes     !   parameters for mesozooplankton for PISCES std       - ln_p4z
+!-----------------------------------------------------------------------
+   part2      =  0.75     ! part of calcite not dissolved in mesozoo guts
+   grazrat2   =  0.75     ! maximal mesozoo grazing rate
+   resrat2    =  0.005    ! exsudation rate of mesozooplankton
+   mzrat2     =  0.03     ! mesozooplankton mortality rate
+   xpref2d    =  1.       ! mesozoo preference for diatoms
+   xpref2n    =  0.3      ! mesozoo preference for nanophyto.
+   xpref2z    =  1.       ! mesozoo preference for microzoo.
+   xpref2c    =  0.3      ! mesozoo preference for poc
+   xthresh2zoo = 1E-8     ! zoo feeding threshold for mesozooplankton 
+   xthresh2dia = 1E-8     ! diatoms feeding threshold for mesozooplankton 
+   xthresh2phy = 1E-8     ! nanophyto feeding threshold for mesozooplankton 
+   xthresh2poc = 1E-8     ! poc feeding threshold for mesozooplankton 
+   xthresh2   =  3E-7     ! Food threshold for grazing
+   xkgraz2    =  20.E-6   ! half saturation constant for meso grazing
+   epsher2    =  0.35     ! Efficicency of Mesozoo growth
+   epsher2min =  0.35     ! Minimum efficiency of mesozoo growth
+   sigma2     =  0.6      ! Fraction of mesozoo excretion as DOM
+   unass2     =  0.3      ! non assimilated fraction of P by mesozoo
+   grazflux   =  3.e3     ! flux-feeding rate
+/
Index: /NEMO/trunk/doc/namelists/namp4zmort
===================================================================
--- /NEMO/trunk/doc/namelists/namp4zmort	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namp4zmort	(revision 10445)
@@ -0,0 +1,9 @@
+!-----------------------------------------------------------------------
+&namp4zmort    !   parameters for phytoplankton sinks for PISCES std   - ln_p4z
+!-----------------------------------------------------------------------
+   wchl       =  0.01     ! quadratic mortality of phytoplankton
+   wchld      =  0.01     ! maximum quadratic mortality of diatoms
+   wchldm     =  0.03     ! maximum quadratic mortality of diatoms
+   mprat      =  0.01     ! phytoplankton mortality rate
+   mprat2     =  0.01     ! Diatoms mortality rate
+/
Index: /NEMO/trunk/doc/namelists/namp4zprod
===================================================================
--- /NEMO/trunk/doc/namelists/namp4zprod	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namp4zprod	(revision 10445)
@@ -0,0 +1,16 @@
+!-----------------------------------------------------------------------
+&namp4zprod    !   parameters for phytoplankton growth for PISCES std  - ln_p4z
+!-----------------------------------------------------------------------
+   pislopen   =  2.       ! P-I slope
+   pisloped   =  2.       ! P-I slope  for diatoms
+   xadap      =  0.       ! Adaptation factor to low light
+   excretn    =  0.05     ! excretion ratio of phytoplankton
+   excretd    =  0.05     ! excretion ratio of diatoms
+   bresp      =  0.033    ! Basal respiration rate
+   chlcnm     =  0.033    ! Maximum Chl/C in nanophytoplankton
+   chlcdm     =  0.05     ! Maximum Chl/C in diatoms
+   chlcmin    =  0.004    ! Minimum Chl/c in phytoplankton
+   fecnm      =  40E-6    ! Maximum Fe/C in nanophytoplankton
+   fecdm      =  40E-6    ! Maximum Fe/C in diatoms
+   grosip     =  0.159    ! mean Si/C ratio
+/
Index: /NEMO/trunk/doc/namelists/namp4zzoo
===================================================================
--- /NEMO/trunk/doc/namelists/namp4zzoo	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namp4zzoo	(revision 10445)
@@ -0,0 +1,20 @@
+!-----------------------------------------------------------------------
+&namp4zzoo     !   parameters for microzooplankton for PISCES std      - ln_p4z
+!-----------------------------------------------------------------------
+   part       =  0.5      ! part of calcite not dissolved in microzoo guts
+   grazrat    =  3.0      ! maximal zoo grazing rate
+   resrat     =  0.03     ! exsudation rate of zooplankton
+   mzrat      =  0.004    ! zooplankton mortality rate
+   xprefc     =  0.1      ! Microzoo preference for POM
+   xprefn     =  1.       ! Microzoo preference for Nanophyto
+   xprefd     =  0.6      ! Microzoo preference for Diatoms
+   xthreshdia =  1.E-8    ! Diatoms feeding threshold for microzooplankton 
+   xthreshphy =  1.E-8    ! Nanophyto feeding threshold for microzooplankton 
+   xthreshpoc =  1.E-8    ! POC feeding threshold for microzooplankton 
+   xthresh    =  3.E-7    ! Food threshold for feeding
+   xkgraz     =  20.E-6   ! half sturation constant for grazing
+   epsher     =  0.3      ! Efficiency of microzoo growth
+   epshermin  =  0.3      ! Minimum efficiency of microzoo growth
+   sigma1     =  0.6      ! Fraction of microzoo excretion as DOM
+   unass      =  0.3      ! non assimilated fraction of phyto by zoo
+/
Index: /NEMO/trunk/doc/namelists/namp5zlim
===================================================================
--- /NEMO/trunk/doc/namelists/namp5zlim	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namp5zlim	(revision 10445)
@@ -0,0 +1,31 @@
+!-----------------------------------------------------------------------
+&namp5zlim     !   parameters for nutrient limitations PISCES QUOTA    - ln_p5z
+!-----------------------------------------------------------------------
+   concnno3   =  3e-6     ! Nitrate half saturation of nanophytoplankton
+   concpno3   =  1e-6
+   concdno3   =  4E-6     ! Phosphate half saturation for diatoms
+   concnnh4   =  1.5E-6   ! NH4 half saturation for phyto
+   concpnh4   =  4E-7
+   concdnh4   =  2E-6     ! NH4 half saturation for diatoms
+   concnpo4   =  3E-6     ! PO4 half saturation for phyto
+   concppo4   =  1.5E-6
+   concdpo4   =  4E-6     ! PO4 half saturation for diatoms
+   concnfer   =  3E-9   ! Iron half saturation for phyto
+   concpfer   =  1.5E-9
+   concdfer   =  4E-9   ! Iron half saturation for diatoms
+   concbfe    =  1.E-11   ! Half-saturation for Fe limitation of Bacteria
+   concbnh4   =  1.E-7    ! NH4 half saturation for phyto
+   concbno3   =  5.E-7    ! Phosphate half saturation for diatoms
+   concbpo4   =  1E-7     ! Phosphate half saturation for bacteria
+   xsizedia   =  1.E-6    ! Minimum size criteria for diatoms
+   xsizephy   =  1.E-6    ! Minimum size criteria for phyto
+   xsizepic   =  1.E-6
+   xsizern    =  1.0      ! Size ratio for nanophytoplankton
+   xsizerp    =  1.0
+   xsizerd    =  4.0      ! Size ratio for diatoms
+   xksi1      =  2.E-6    ! half saturation constant for Si uptake
+   xksi2      =  20E-6  ! half saturation constant for Si/C
+   xkdoc      =  417.E-6  ! half-saturation constant of DOC remineralization
+   caco3r     =  0.35     ! mean rain ratio
+   oxymin     =  1.E-6    ! Half-saturation constant for anoxia
+/
Index: /NEMO/trunk/doc/namelists/namp5zmes
===================================================================
--- /NEMO/trunk/doc/namelists/namp5zmes	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namp5zmes	(revision 10445)
@@ -0,0 +1,29 @@
+!-----------------------------------------------------------------------
+&namp5zmes     !   parameters for mesozooplankton
+!-----------------------------------------------------------------------
+   part2      =  0.75     ! part of calcite not dissolved in mesozoo guts
+   grazrat2   =  0.85     ! maximal mesozoo grazing rate
+   bmetexc2   =  .true.   ! Metabolic use of excess carbon 
+   resrat2    =  0.005    ! exsudation rate of mesozooplankton
+   mzrat2     =  0.02     ! mesozooplankton mortality rate
+   xpref2d    =  1.       ! zoo preference for phyto
+   xpref2p    =  1.       ! zoo preference for POC
+   xpref2z    =  1.       ! zoo preference for zoo
+   xpref2m    =  0.2      ! meso preference for zoo
+   xpref2c    =  0.3      ! zoo preference for poc
+   xthresh2zoo = 1E-8     ! zoo feeding threshold for mesozooplankton
+   xthresh2dia = 1E-8     ! diatoms feeding threshold for mesozooplankton
+   xthresh2phy = 1E-8     ! nanophyto feeding threshold for mesozooplankton
+   xthresh2mes = 1E-8     ! meso feeding threshold for mesozooplankton
+   xthresh2poc = 1E-8     ! poc feeding threshold for mesozooplankton
+   xthresh2    =  3E-7     ! Food threshold for grazing
+   xkgraz2     =  20.E-6   ! half sturation constant for meso grazing
+   epsher2     =  0.5      ! Efficicency of Mesozoo growth
+   epsher2min  =  0.2     ! Minimum efficiency of mesozoo growth
+   ssigma2     =  0.5     ! Fraction excreted as semi-labile DOM
+   srespir2    =  0.2     ! Active respiration
+   unass2c     =  0.3     ! non assimilated fraction of P by mesozoo
+   unass2n     =  0.3     ! non assimilated fraction of N by mesozoo
+   unass2p     =  0.3     ! non assimilated fraction of P by mesozoo
+   grazflux   =  3.e3     ! flux-feeding rate
+/
Index: /NEMO/trunk/doc/namelists/namp5zmort
===================================================================
--- /NEMO/trunk/doc/namelists/namp5zmort	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namp5zmort	(revision 10445)
@@ -0,0 +1,11 @@
+!-----------------------------------------------------------------------
+&namp5zmort    !   parameters for phytoplankton sinks for PISCES quota - ln_p5z
+!-----------------------------------------------------------------------
+   wchln      =  0.01     ! quadratic mortality of nanophytoplankton
+   wchlp      =  0.01     ! quadratic mortality of picophytoplankton
+   wchld      =  0.01     ! maximum quadratic mortality of diatoms
+   wchldm     =  0.02     ! maximum quadratic mortality of diatoms
+   mpratn     =  0.01     ! nanophytoplankton mortality rate
+   mpratp     =  0.01     ! picophytoplankton mortality rate
+   mprat2     =  0.01     ! Diatoms mortality rate
+/
Index: /NEMO/trunk/doc/namelists/namp5zprod
===================================================================
--- /NEMO/trunk/doc/namelists/namp5zprod	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namp5zprod	(revision 10445)
@@ -0,0 +1,17 @@
+!-----------------------------------------------------------------------
+&namp5zprod    !   parameters for phytoplankton growth for PISCES quota- ln_p5z
+!-----------------------------------------------------------------------
+   pislopen   =  3.       ! P-I slope
+   pislopep   =  3.       ! P-I slope for picophytoplankton
+   pisloped   =  3.       ! P-I slope  for diatoms
+   excretn    =  0.05     ! excretion ratio of phytoplankton
+   excretp    =  0.05     ! excretion ratio of picophytoplankton
+   excretd    =  0.05     ! excretion ratio of diatoms
+   xadap      =  0.       ! Adaptation factor to low light
+   bresp      =  0.02     ! Basal respiration rate
+   thetannm   =  0.25     ! Maximum Chl/N in nanophytoplankton
+   thetanpm   =  0.25     ! Maximum Chl/N in picophytoplankton
+   thetandm   =  0.3      ! Maximum Chl/N in diatoms
+   chlcmin    =  0.004    ! Minimum Chl/c in phytoplankton
+   grosip     =  0.131    ! mean Si/C ratio
+/
Index: /NEMO/trunk/doc/namelists/namp5zquota
===================================================================
--- /NEMO/trunk/doc/namelists/namp5zquota	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namp5zquota	(revision 10445)
@@ -0,0 +1,22 @@
+!-----------------------------------------------------------------------
+&namp5zquota   !   parameters for nutrient limitations PISCES quota    - ln_p5z
+!-----------------------------------------------------------------------
+   qfnopt     =  7.E-6    ! Optimal Fe quota of nanophyto
+   qfpopt     =  7.E-6    ! Optimal Fe quota of picophyto
+   qfdopt     =  7.E-6    ! Optimal quota of diatoms
+   qnnmin     =  0.29     ! Minimal N quota for nano
+   qnnmax     =  1.39     ! Maximal N quota for nano
+   qpnmin     =  0.28     ! Minimal P quota for nano
+   qpnmax     =  1.06     ! Maximal P quota for nano
+   qnpmin     =  0.42     ! Minimal N quota for pico
+   qnpmax     =  1.39     ! Maximal N quota for pico
+   qppmin     =  0.25     ! Minimal P quota for pico
+   qppmax     =  0.7      ! Maximal P quota for pico
+   qndmin     =  0.25     ! Minimal N quota for diatoms
+   qndmax     =  1.39     ! Maximal N quota for diatoms
+   qpdmin     =  0.29     ! Minimal P quota for diatoms
+   qpdmax     =  1.32     ! Maximal P quota for diatoms
+   qfnmax     =  40E-6    ! Maximal Fe quota for nano
+   qfpmax     =  40E-6    ! Maximal Fe quota for pico
+   qfdmax     =  40E-6    ! Maximal Fe quota for diatoms
+/
Index: /NEMO/trunk/doc/namelists/namp5zzoo
===================================================================
--- /NEMO/trunk/doc/namelists/namp5zzoo	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namp5zzoo	(revision 10445)
@@ -0,0 +1,28 @@
+!-----------------------------------------------------------------------
+&namp5zzoo     !   parameters for microzooplankton
+!-----------------------------------------------------------------------
+   part       =  0.5      ! part of calcite not dissolved in microzoo gutsa
+   grazrat    =  2.75     ! maximal zoo grazing rate
+   bmetexc    =  .true.   ! Metabolic use of excess carbon
+   resrat     =  0.03     ! exsudation rate of zooplankton
+   mzrat      =  0.005    ! zooplankton mortality rate
+   xprefc     =  0.1      ! Microzoo preference for POM
+   xprefn     =  1.       ! Microzoo preference for Nanophyto
+   xprefp     =  1.6      ! Microzoo preference for picophyto
+   xprefd     =  1.0      ! Microzoo preference for Diatoms
+   xprefz     =  0.3      ! Microzoo preference for microzooplankton
+   xthreshdia =  1.E-8    ! Diatoms feeding threshold for microzooplankton
+   xthreshphy =  1.E-8    ! Nanophyto feeding threshold for microzooplankton
+   xthreshpic =  1.E-8
+   xthreshzoo =  1.E-8    ! Nanophyto feeding threshold for microzooplankton
+   xthreshpoc =  1.E-8    ! POC feeding threshold for microzooplankton
+   xthresh    =  3.E-7    ! Food threshold for feeding
+   xkgraz     =  20.E-6   ! half sturation constant for grazing
+   epsher     =  0.5      ! Efficiency of microzoo growth
+   epshermin  =  0.2      ! Minimum efficiency of microzoo growth
+   ssigma     =  0.5      ! Fraction excreted as semi-labile DOM
+   srespir    =  0.2      ! Active respiration
+   unassc     =  0.3      ! non assimilated fraction of C by zoo
+   unassn     =  0.3      ! non assimilated fraction of C by zoo
+   unassp     =  0.3      ! non assimilated fraction of C by zoo
+/
Index: /NEMO/trunk/doc/namelists/nampisatm
===================================================================
--- /NEMO/trunk/doc/namelists/nampisatm	(revision 10445)
+++ /NEMO/trunk/doc/namelists/nampisatm	(revision 10445)
@@ -0,0 +1,12 @@
+!-----------------------------------------------------------------------
+&nampisatm     !  Atmospheric prrssure 
+!-----------------------------------------------------------------------
+!              !  file name   ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!              !              !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
+   sn_patm     = 'presatm'    ,     -1            , 'patm'    ,  .true.      , .true. , 'yearly'  , ''       , ''       , ''
+   sn_atmco2   = 'presatmco2' ,     -1            , 'xco2'    ,  .true.      , .true. , 'yearly'  , ''       , ''       , ''
+   cn_dir      = './'     !  root directory for the location of the dynamical files
+!
+   ln_presatm    = .false.   ! constant atmopsheric pressure (F) or from a file (T)
+   ln_presatmco2 = .false.   ! Read spatialized atm co2 files [ppm] if TRUE
+/
Index: /NEMO/trunk/doc/namelists/nampisbio
===================================================================
--- /NEMO/trunk/doc/namelists/nampisbio	(revision 10445)
+++ /NEMO/trunk/doc/namelists/nampisbio	(revision 10445)
@@ -0,0 +1,18 @@
+!-----------------------------------------------------------------------
+&nampisbio     !   biological parameters
+!-----------------------------------------------------------------------
+   nrdttrc    =  1        ! time step frequency for biology
+   wsbio      =  2.       ! POC sinking speed
+   xkmort     =  2.E-7    ! half saturation constant for mortality
+   ferat3     =  10.E-6   ! Fe/C in zooplankton 
+   wsbio2     =  50.      ! Big particles sinking speed
+   wsbio2max  =  50.      ! Big particles maximum sinking speed
+   wsbio2scale =  5000.    ! Big particles length scale of sinking
+!                         !  ln_ligand enabled
+   ldocp      =  1.E-4    ! Phyto ligand production per unit doc 
+   ldocz      =  1.E-4    ! Zoo ligand production per unit doc 
+   lthet      =  1.0      ! Proportional loss of ligands due to Fe uptake 
+!                         !  ln_p5z enabled
+   no3rat3    =  0.182    ! N/C ratio in zooplankton
+   po4rat3    =  0.0094   ! P/C ratio in zooplankton
+/
Index: /NEMO/trunk/doc/namelists/nampiscal
===================================================================
--- /NEMO/trunk/doc/namelists/nampiscal	(revision 10445)
+++ /NEMO/trunk/doc/namelists/nampiscal	(revision 10445)
@@ -0,0 +1,6 @@
+!-----------------------------------------------------------------------
+&nampiscal     !   parameters for Calcite chemistry
+!-----------------------------------------------------------------------
+   kdca       =  6.       ! calcite dissolution rate constant (1/time)
+   nca        =  1.       ! order of dissolution reaction (dimensionless)
+/
Index: /NEMO/trunk/doc/namelists/nampisdmp
===================================================================
--- /NEMO/trunk/doc/namelists/nampisdmp	(revision 10445)
+++ /NEMO/trunk/doc/namelists/nampisdmp	(revision 10445)
@@ -0,0 +1,6 @@
+!-----------------------------------------------------------------------
+&nampisdmp     !   Damping 
+!-----------------------------------------------------------------------
+   ln_pisdmp    =  .true.     !  Relaxation for some tracers to a mean value
+   nn_pisdmp    =  5475       !  Frequency of Relaxation 
+/
Index: /NEMO/trunk/doc/namelists/nampisext
===================================================================
--- /NEMO/trunk/doc/namelists/nampisext	(revision 10445)
+++ /NEMO/trunk/doc/namelists/nampisext	(revision 10445)
@@ -0,0 +1,10 @@
+!-----------------------------------------------------------------------
+&nampisext     !   air-sea exchange
+!-----------------------------------------------------------------------
+   ln_co2int  =  .false. ! read atm pco2 from a file (T) or constant (F)
+   atcco2     =  280.    ! Constant value atmospheric pCO2 - ln_co2int = F
+   clname     =  'atcco2.txt'  ! Name of atm pCO2 file - ln_co2int = T
+   nn_offset  =  0       ! Offset model-data start year - ln_co2int = T
+!                        ! If your model year is iyy, nn_offset=(years(1)-iyy) 
+!                        ! then the first atmospheric CO2 record read is at years(1)
+/
Index: /NEMO/trunk/doc/namelists/nampisfer
===================================================================
--- /NEMO/trunk/doc/namelists/nampisfer	(revision 10445)
+++ /NEMO/trunk/doc/namelists/nampisfer	(revision 10445)
@@ -0,0 +1,9 @@
+!-----------------------------------------------------------------------
+&nampisfer     !   parameters for iron chemistry
+!-----------------------------------------------------------------------
+   ln_ligvar =  .true.    ! variable ligand concentration
+   xlam1     =  0.005     ! scavenging rate of Iron
+   xlamdust  =  150.0     ! Scavenging rate of dust
+   ligand    =  0.7E-9    ! Ligands concentration 
+   kfep      =  0.01      ! Nanoparticle formation rate constant
+/
Index: /NEMO/trunk/doc/namelists/nampisice
===================================================================
--- /NEMO/trunk/doc/namelists/nampisice	(revision 10445)
+++ /NEMO/trunk/doc/namelists/nampisice	(revision 10445)
@@ -0,0 +1,44 @@
+!-----------------------------------------------------------------------
+&nampisice     !   Prescribed sea ice tracers
+!-----------------------------------------------------------------------
+!========================================================================
+! constant ocean tracer concentrations are defined in trcice_pisces.F90 
+!                               (Global, Arctic, Antarctic and Baltic)
+! trc_ice_ratio  : >=0 & <=1 => prescribed ice/ocean tracer concentration ratio
+!                :  = -1     => the ice-ocean tracer concentration ratio
+!                               follows the ice-ocean salinity ratio
+!                :  = -2     => tracer concentration in sea ice is prescribed
+!                               and trc_ice_prescr is used
+! trc_ice_prescr : prescribed tracer concentration. used only if 
+!                  trc_ice_ratio = -2. equals -99 if not used.
+! cn_trc_o       :  = 'GL'   => use global ocean values making the Baltic 
+!                               distinction only
+!                :  = 'AA'   => use specific Arctic/Antarctic/Baltic values
+!========================================================================
+!    sn_tri_ ! trc_ice_ratio ! trc_ice_prescr !     cn_trc_o
+   sn_tri_dic =           -1.,           -99.,          'AA'
+   sn_tri_doc =            0.,           -99.,          'AA'
+   sn_tri_tal =           -1.,           -99.,          'AA'
+   sn_tri_oxy =           -1.,           -99.,          'AA'
+   sn_tri_cal =            0.,           -99.,          'AA'
+   sn_tri_po4 =           -1.,           -99.,          'AA'
+   sn_tri_poc =            0.,           -99.,          'AA'
+   sn_tri_goc =            0.,           -99.,          'AA'
+   sn_tri_bfe =            0.,           -99.,          'AA'
+   sn_tri_num =            0.,           -99.,          'AA'
+   sn_tri_sil =           -1.,           -99.,          'AA'
+   sn_tri_dsi =            0.,           -99.,          'AA'
+   sn_tri_gsi =            0.,           -99.,          'AA'
+   sn_tri_phy =            0.,           -99.,          'AA'
+   sn_tri_dia =            0.,           -99.,          'AA'
+   sn_tri_zoo =            0.,           -99.,          'AA'
+   sn_tri_mes =            0.,           -99.,          'AA'
+   sn_tri_fer =           -2.,          15E-9,          'AA'
+   sn_tri_sfe =            0.,           -99.,          'AA'
+   sn_tri_dfe =            0.,           -99.,          'AA'
+   sn_tri_nfe =            0.,           -99.,          'AA'
+   sn_tri_nch =            0.,           -99.,          'AA'
+   sn_tri_dch =            0.,           -99.,          'AA'
+   sn_tri_no3 =           -1.,           -99.,          'AA'
+   sn_tri_nh4 =            1.,           -99.,          'AA'
+/
Index: /NEMO/trunk/doc/namelists/nampislig
===================================================================
--- /NEMO/trunk/doc/namelists/nampislig	(revision 10445)
+++ /NEMO/trunk/doc/namelists/nampislig	(revision 10445)
@@ -0,0 +1,8 @@
+!-----------------------------------------------------------------------
+&nampislig     !   Namelist parameters for ligands, nampislig
+!-----------------------------------------------------------------------
+   rlgw        =  100.     ! Lifetime (years) of weak ligands
+   rlig        =  1.E-4    ! Remin ligand production per unit C
+   prlgw       =  1.E-4    ! Photolysis of weak ligand
+   rlgs        =  1.       ! Lifetime (years) of strong ligands
+/
Index: /NEMO/trunk/doc/namelists/nampismass
===================================================================
--- /NEMO/trunk/doc/namelists/nampismass	(revision 10445)
+++ /NEMO/trunk/doc/namelists/nampismass	(revision 10445)
@@ -0,0 +1,5 @@
+!-----------------------------------------------------------------------
+&nampismass    !   Mass conservation
+!-----------------------------------------------------------------------
+   ln_check_mass =  .false.    !  Check mass conservation
+/
Index: /NEMO/trunk/doc/namelists/nampismod
===================================================================
--- /NEMO/trunk/doc/namelists/nampismod	(revision 10445)
+++ /NEMO/trunk/doc/namelists/nampismod	(revision 10445)
@@ -0,0 +1,9 @@
+!-----------------------------------------------------------------------
+&nampismod     !  Model used 
+!-----------------------------------------------------------------------
+  ln_p2z    = .false.        !  LOBSTER model used
+  ln_p4z    = .true.         !  PISCES model used
+  ln_p5z    = .false.        !  PISCES QUOTA model used
+  ln_ligand = .false.        !  Enable  organic ligands
+  ln_sediment = .false.      !  Enable sediment module
+/
Index: /NEMO/trunk/doc/namelists/nampisopt
===================================================================
--- /NEMO/trunk/doc/namelists/nampisopt	(revision 10445)
+++ /NEMO/trunk/doc/namelists/nampisopt	(revision 10445)
@@ -0,0 +1,10 @@
+!-----------------------------------------------------------------------
+&nampisopt     !   parameters for optics
+!-----------------------------------------------------------------------
+!              !  file name       ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!              !                  !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
+   sn_par      = 'par.orca'       ,     24            , 'fr_par'  ,  .true.      , .true. , 'yearly'  , ''       , ''       , ''
+   cn_dir      = './'      !  root directory for the location of the dynamical files
+   ln_varpar   =  .true.   ! boolean for PAR variable
+   parlux      =  0.43      ! Fraction of shortwave as PAR
+/ 
Index: /NEMO/trunk/doc/namelists/nampispoc
===================================================================
--- /NEMO/trunk/doc/namelists/nampispoc	(revision 10445)
+++ /NEMO/trunk/doc/namelists/nampispoc	(revision 10445)
@@ -0,0 +1,11 @@
+!-----------------------------------------------------------------------
+&nampispoc     !   parameters for organic particles
+!-----------------------------------------------------------------------
+   xremip    =  0.035     ! remineralisation rate of PON
+   jcpoc     =  15        ! Number of lability classes
+   rshape    =  1.0       ! Shape of the gamma function
+!                         ! ln_p5z
+   xremipc   =  0.02      ! remineralisation rate of POC
+   xremipn   =  0.025     ! remineralisation rate of PON
+   xremipp   =  0.03      ! remineralisation rate of POP
+/
Index: /NEMO/trunk/doc/namelists/nampisrem
===================================================================
--- /NEMO/trunk/doc/namelists/nampisrem	(revision 10445)
+++ /NEMO/trunk/doc/namelists/nampisrem	(revision 10445)
@@ -0,0 +1,17 @@
+!-----------------------------------------------------------------------  
+&nampisrem     !   parameters for remineralization
+!-----------------------------------------------------------------------
+   xremik    =  0.3       ! remineralization rate of DOC
+   nitrif    =  0.05      ! NH4 nitrification rate
+   xsirem    =  0.003     ! remineralization rate of Si
+   xsiremlab =  0.03      ! fast remineralization rate of Si
+   xsilab    =  0.5       ! Fraction of labile biogenic silica
+   feratb    =  10.E-6    ! Fe/C quota in bacteria
+   xkferb    =  3E-10     ! Half-saturation constant for bacteria Fe/C
+!                         ! ln_p5z
+   xremikc   =  0.25      ! remineralization rate of DOC
+   xremikn   =  0.35      ! remineralization rate of DON
+   xremikp   =  0.4       ! remineralization rate of DOP
+!   feratb    =  20E-6     ! Bacterial Fe/C ratio
+!   xkferb    =  3E-10     ! Half-saturation constant for bact. Fe/C
+/
Index: /NEMO/trunk/doc/namelists/nampissbc
===================================================================
--- /NEMO/trunk/doc/namelists/nampissbc	(revision 10445)
+++ /NEMO/trunk/doc/namelists/nampissbc	(revision 10445)
@@ -0,0 +1,39 @@
+!-----------------------------------------------------------------------
+&nampissbc     !   parameters for inputs deposition
+!-----------------------------------------------------------------------
+!              !  file name        ! frequency (hours) ! variable      ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!              !                   !  (if <0  months)  !   name        !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
+   sn_dust     = 'dust.orca'       ,     -1            , 'dust'        ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
+   sn_solub    = 'solubility.orca' ,    -12            , 'solubility1' ,  .false.     , .true. , 'yearly'  , ''       , ''    , ''
+   sn_riverdic = 'river.orca'      ,    120            , 'riverdic'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
+   sn_riverdoc = 'river.orca'      ,    120            , 'riverdoc'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
+   sn_riverdin = 'river.orca'      ,    120            , 'riverdin'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
+   sn_riverdon = 'river.orca'      ,    120            , 'riverdon'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
+   sn_riverdip = 'river.orca'      ,    120            , 'riverdip'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
+   sn_riverdop = 'river.orca'      ,    120            , 'riverdop'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
+   sn_riverdsi = 'river.orca'      ,    120            , 'riverdsi'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
+   sn_ndepo    = 'ndeposition.orca',    -12            , 'ndep'        ,  .false.     , .true. , 'yearly'  , ''       , ''    , ''
+   sn_ironsed  = 'bathy.orca'      ,    -12            , 'bathy'       ,  .false.     , .true. , 'yearly'  , ''       , ''    , ''
+   sn_hydrofe  = 'hydrofe.orca'    ,    -12            , 'epsdb'       ,  .false.     , .true. , 'yearly'  , ''       , ''    , ''
+!
+   cn_dir      = './'      !  root directory for the location of the dynamical files
+   ln_dust     =  .true.   ! boolean for dust input from the atmosphere
+   ln_solub    =  .true.   ! boolean for variable solubility of atm. Iron
+   ln_river    =  .true.   ! boolean for river input of nutrients
+   ln_ndepo    =  .true.   ! boolean for atmospheric deposition of N
+   ln_ironsed  =  .true.   ! boolean for Fe input from sediments
+   ln_ironice  =  .true.   ! boolean for Fe input from sea ice
+   ln_hydrofe  =  .true.   ! boolean for from hydrothermal vents
+   sedfeinput  =  2.e-9    ! Coastal release of Iron
+   distcoast   =  5.e3     ! Distance off the coast for Iron from sediments
+   dustsolub   =  0.02     ! Solubility of the dusta
+   mfrac       =  0.035    ! Fe mineral fraction of dust
+   wdust       =  2.0      ! Dust sinking speed 
+   icefeinput  =  15.e-9   ! Iron concentration in sea ice
+   nitrfix     =  1.e-7    ! Nitrogen fixation rate
+   diazolight  =  50.      ! Diazotrophs sensitivity to light (W/m2)
+   concfediaz  =  1.e-10   ! Diazotrophs half-saturation Cste for Iron
+   hratio      =  1.e+7    ! Fe to 3He ratio assumed for vent iron supply 
+!                          ! ln_ligand
+   lgw_rath    =  0.5      ! Weak ligand ratio from sed hydro sources 
+/
Index: /NEMO/trunk/doc/namelists/namrun
===================================================================
--- /NEMO/trunk/doc/namelists/namrun	(revision 10444)
+++ /NEMO/trunk/doc/namelists/namrun	(revision 10445)
@@ -18,5 +18,5 @@
       cn_ocerst_indir = "."         !  directory from which to read input ocean restarts
       cn_ocerst_out   = "restart"   !  suffix of ocean restart name (output)
-      cn_ocerst_outdir= "."         !  directory in which to write output ocean restarts
+      cn_ocerst_outdir = "."         !  directory in which to write output ocean restarts
    ln_iscpl    = .false.   !  cavity evolution forcing or coupling to ice sheet model
    nn_istate   =       0   !  output the initial state (1) or not (0)
Index: /NEMO/trunk/doc/namelists/namsbc_blk
===================================================================
--- /NEMO/trunk/doc/namelists/namsbc_blk	(revision 10444)
+++ /NEMO/trunk/doc/namelists/namsbc_blk	(revision 10445)
@@ -4,6 +4,6 @@
    !                    !  bulk algorithm :
    ln_NCAR     = .false.   ! "NCAR"      algorithm   (Large and Yeager 2008)
-   ln_COARE_3p0= .false.   ! "COARE 3.0" algorithm   (Fairall et al. 2003)
-   ln_COARE_3p5= .false.   ! "COARE 3.5" algorithm   (Edson et al. 2013)
+   ln_COARE_3p0 = .false.   ! "COARE 3.0" algorithm   (Fairall et al. 2003)
+   ln_COARE_3p5 = .false.   ! "COARE 3.5" algorithm   (Edson et al. 2013)
    ln_ECMWF    = .false.   ! "ECMWF"     algorithm   (IFS cycle 31)
       !
Index: /NEMO/trunk/doc/namelists/namsbc_isf
===================================================================
--- /NEMO/trunk/doc/namelists/namsbc_isf	(revision 10444)
+++ /NEMO/trunk/doc/namelists/namsbc_isf	(revision 10445)
@@ -28,6 +28,6 @@
    sn_rnfisf   = 'rnfisf'    ,         -12       ,'sofwfisf' ,  .false.    , .true.  , 'yearly'  ,    ''    ,   ''     ,    ''
 !* nn_isf = 2 and 3 cases 
-   sn_depmax_isf='rnfisf'    ,         -12       ,'sozisfmax',  .false.    , .true.  , 'yearly'  ,    ''    ,   ''     ,    ''
-   sn_depmin_isf='rnfisf'    ,         -12       ,'sozisfmin',  .false.    , .true.  , 'yearly'  ,    ''    ,   ''     ,    ''
+   sn_depmax_isf ='rnfisf'    ,         -12       ,'sozisfmax',  .false.    , .true.  , 'yearly'  ,    ''    ,   ''     ,    ''
+   sn_depmin_isf ='rnfisf'    ,         -12       ,'sozisfmin',  .false.    , .true.  , 'yearly'  ,    ''    ,   ''     ,    ''
 !* nn_isf = 2 case
    sn_Leff_isf = 'rnfisf'    ,         -12       ,'Leff'     ,  .false.    , .true.  , 'yearly'  ,    ''    ,   ''     ,    ''
Index: /NEMO/trunk/doc/namelists/namsbc_rnf
===================================================================
--- /NEMO/trunk/doc/namelists/namsbc_rnf	(revision 10444)
+++ /NEMO/trunk/doc/namelists/namsbc_rnf	(revision 10445)
@@ -2,9 +2,9 @@
 &namsbc_rnf    !   runoffs                                              (ln_rnf =T)
 !-----------------------------------------------------------------------
-   ln_rnf_mouth= .false.   !  specific treatment at rivers mouths
+   ln_rnf_mouth = .false.   !  specific treatment at rivers mouths
       rn_hrnf     =  15.e0    !  depth over which enhanced vertical mixing is used    (ln_rnf_mouth=T)
       rn_avt_rnf  =   1.e-3   !  value of the additional vertical mixing coef. [m2/s] (ln_rnf_mouth=T)
    rn_rfact    =   1.e0    !  multiplicative factor for runoff
-   ln_rnf_depth= .false.   !  read in depth information for runoff
+   ln_rnf_depth = .false.   !  read in depth information for runoff
    ln_rnf_tem  = .false.   !  read in temperature information for runoff
    ln_rnf_sal  = .false.   !  read in salinity information for runoff
Index: /NEMO/trunk/doc/namelists/namsbc_wave
===================================================================
--- /NEMO/trunk/doc/namelists/namsbc_wave	(revision 10444)
+++ /NEMO/trunk/doc/namelists/namsbc_wave	(revision 10445)
@@ -6,13 +6,13 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights filename ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                  ! pairing  !    filename   !
-   sn_cdg      =  'sdw_wave'             ,        1          , 'drag_coeff' ,  .true.  , .false., 'daily'   ,  ''             , ''       , ''
-   sn_usd      =  'sdw_wave'             ,        1          , 'u_sd2d'     ,  .true.  , .false., 'daily'   ,  ''             , ''       , ''
-   sn_vsd      =  'sdw_wave'             ,        1          , 'v_sd2d'     ,  .true.  , .false., 'daily'   ,  ''             , ''       , ''
-   sn_hsw      =  'sdw_wave'             ,        1          , 'hs'         ,  .true.  , .false., 'daily'   ,  ''             , ''       , ''
-   sn_wmp      =  'sdw_wave'             ,        1          , 'wmp'        ,  .true.  , .false., 'daily'   ,  ''             , ''       , ''
-   sn_wfr      =  'sdw_wave'             ,        1          , 'wfr'        ,  .true.  , .false., 'daily'   ,  ''             , ''       , ''
-   sn_wnum     =  'sdw_wave'             ,        1          , 'wave_num'   ,  .true.  , .false., 'daily'   ,  ''             , ''       , ''
-   sn_tauwoc   =  'sdw_wave'             ,        1          , 'wave_stress',  .true.  , .false., 'daily'   ,  ''             , ''       , ''
-   sn_tauwx    =  'sdw_wave'             ,        1          , 'wave_stress',  .true.  , .false., 'daily'   ,  ''             , ''       , ''
-   sn_tauwy    =  'sdw_wave'             ,        1          , 'wave_stress',  .true.  , .false., 'daily'   ,  ''             , ''       , ''
+   sn_cdg      =  'sdw_ecwaves_orca2'    ,        6          , 'drag_coeff' ,  .true.  , .true. , 'yearly'  ,  ''              , ''       , ''
+   sn_usd      =  'sdw_ecwaves_orca2'    ,        6          , 'u_sd2d'     ,  .true.  , .true. , 'yearly'  ,  ''              , ''       , ''
+   sn_vsd      =  'sdw_ecwaves_orca2'    ,        6          , 'v_sd2d'     ,  .true.  , .true. , 'yearly'  ,  ''              , ''       , ''
+   sn_hsw      =  'sdw_ecwaves_orca2'    ,        6          , 'hs'         ,  .true.  , .true. , 'yearly'  ,  ''              , ''       , ''
+   sn_wmp      =  'sdw_ecwaves_orca2'    ,        6          , 'wmp'        ,  .true.  , .true. , 'yearly'  ,  ''              , ''       , ''
+   sn_wfr      =  'sdw_ecwaves_orca2'    ,        6          , 'wfr'        ,  .true.  , .true. , 'yearly'  ,  ''              , ''       , ''
+   sn_wnum     =  'sdw_ecwaves_orca2'    ,        6          , 'wave_num'   ,  .true.  , .true. , 'yearly'  ,  ''              , ''       , ''
+   sn_tauwoc   =  'sdw_ecwaves_orca2'    ,        6          , 'wave_stress',  .true.  , .true. , 'yearly'  ,  ''              , ''       , ''
+   sn_tauwx    =  'sdw_ecwaves_orca2'    ,        6          , 'wave_stress',  .true.  , .true. , 'yearly'  ,  ''              , ''       , ''
+   sn_tauwy    =  'sdw_ecwaves_orca2'    ,        6          , 'wave_stress',  .true.  , .true. , 'yearly'  ,  ''              , ''       , ''
 /
Index: /NEMO/trunk/doc/namelists/namsto
===================================================================
--- /NEMO/trunk/doc/namelists/namsto	(revision 10444)
+++ /NEMO/trunk/doc/namelists/namsto	(revision 10445)
@@ -4,5 +4,5 @@
    ln_sto_eos  = .false.   ! stochastic equation of state
    nn_sto_eos  = 1         ! number of independent random walks
-   rn_eos_stdxy= 1.4       ! random walk horz. standard deviation (in grid points)
+   rn_eos_stdxy = 1.4       ! random walk horz. standard deviation (in grid points)
    rn_eos_stdz = 0.7       ! random walk vert. standard deviation (in grid points)
    rn_eos_tcor = 1440.     ! random walk time correlation (in timesteps)
Index: /NEMO/trunk/doc/namelists/namtra_mle
===================================================================
--- /NEMO/trunk/doc/namelists/namtra_mle	(revision 10444)
+++ /NEMO/trunk/doc/namelists/namtra_mle	(revision 10445)
@@ -10,4 +10,4 @@
    nn_mld_uv   = 0         ! space interpolation of MLD at u- & v-pts (0=min,1=averaged,2=max)
    nn_conv     = 0         ! =1 no MLE in case of convection ; =0 always MLE
-   rn_rho_c_mle= 0.01      ! delta rho criterion used to calculate MLD for FK
+   rn_rho_c_mle = 0.01      ! delta rho criterion used to calculate MLD for FK
 /
Index: /NEMO/trunk/doc/namelists/namtrc_snk
===================================================================
--- /NEMO/trunk/doc/namelists/namtrc_snk	(revision 10445)
+++ /NEMO/trunk/doc/namelists/namtrc_snk	(revision 10445)
@@ -0,0 +1,5 @@
+!-----------------------------------------------------------------------
+&namtrc_snk      !  Sedimentation of particles
+!-----------------------------------------------------------------------
+   nitermax      =  2   !  number of iterations for sedimentation
+/
Index: /NEMO/trunk/doc/namelists/namwad
===================================================================
--- /NEMO/trunk/doc/namelists/namwad	(revision 10444)
+++ /NEMO/trunk/doc/namelists/namwad	(revision 10445)
@@ -5,5 +5,5 @@
    ln_wd_dl    = .false.   !  T/F activation of directional limiter
    ln_wd_dl_bc = .false.   !  T/F Directional limiteer Baroclinic option
-   ln_wd_dl_rmp= .false.   !  T/F Turn on directional limiter ramp
+   ln_wd_dl_rmp = .false.   !  T/F Turn on directional limiter ramp
    rn_wdmin0   =  0.30     !  depth at which WaD starts
    rn_wdmin1   =  0.2      !  Minimum wet depth on dried cells
Index: /NEMO/trunk/doc/namelists/namzdf
===================================================================
--- /NEMO/trunk/doc/namelists/namzdf	(revision 10444)
+++ /NEMO/trunk/doc/namelists/namzdf	(revision 10445)
@@ -2,4 +2,7 @@
 &namzdf        !   vertical physics manager                             (default: NO selection)
 !-----------------------------------------------------------------------
+   !                       ! adaptive-implicit vertical advection
+   ln_zad_Aimp = .false.      !  Courant number dependent scheme (Shchepetkin 2015)
+   !
    !                       ! type of vertical closure (required)
    ln_zdfcst   = .false.      !  constant mixing
